// vectorT.h - Especialización parcial de la plantilla Vector
#if !defined( _VECTORT_H_ )
#define _VECTORT_H_
#include "vectorEspec.h"

template<class T> class Vector<T *> : private Vector<void *>
{
  public:
    Vector(int ne = 10) : Vector<void *>(ne) {}
    T *& operator[](int i) { return reinterpret_cast<T *&>(
                              Vector<void *>::operator[](i)); }
    int longitud() const { return Vector<void *>::longitud(); }             
};

#endif // _VECTORT_H_

